<html>
<head>
<title>Ogre::StringConverter Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StringConverter.html">StringConverter</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::StringConverter Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::StringConverter" -->
<p>Class for converting the core <a class="el" href="namespaceOgre.html">Ogre</a> data types to/from Strings.  
 <a href="classOgre_1_1StringConverter.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreStringConverter_8h_source.html">OgreStringConverter.h</a>&gt;</code></p>

<p><a href="classOgre_1_1StringConverter-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">toString</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a Real to a String.  <a href="#ad6a042aaca76797c0c7369cbcc06529a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a0ad310156901192d8b4e31f90ce420a0">toString</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> to a String.  <a href="#a0ad310156901192d8b4e31f90ce420a0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a1c4df33a22e7da4debdc1de0ee250773">toString</a> (<a class="el" href="classOgre_1_1Degree.html">Degree</a> val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Degree.html" title="Wrapper class which indicates a given angle value is in Degrees.">Degree</a> to a String.  <a href="#a1c4df33a22e7da4debdc1de0ee250773"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a6e5354ea0506968e9ca901ce2f5a46af">toString</a> (int val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts an int to a String.  <a href="#a6e5354ea0506968e9ca901ce2f5a46af"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a6c7efa9542ac3e3a9c17df92c2383fe0">toString</a> (size_t val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a size_t to a String.  <a href="#a6c7efa9542ac3e3a9c17df92c2383fe0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#aaef4564bd5f496dbdf0889a89aa4cd9f">toString</a> (unsigned long val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts an unsigned long to a String.  <a href="#aaef4564bd5f496dbdf0889a89aa4cd9f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a9e48331e259a043ce076d2a8c3051340">toString</a> (long val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a long to a String.  <a href="#a9e48331e259a043ce076d2a8c3051340"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#aa671980d27b86d09a0f568b451ba677d">toString</a> (bool val, bool yesNo=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a boolean to a String.  <a href="#aa671980d27b86d09a0f568b451ba677d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a54b489bc08f1542fe9dd0b9d57fbfbca">toString</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Vector2</a> to a String.  <a href="#a54b489bc08f1542fe9dd0b9d57fbfbca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a40baf295547f60d3d0efcf279268d8dc">toString</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> to a String.  <a href="#a40baf295547f60d3d0efcf279268d8dc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a41d15619e971971f2025052e1a6d7c5a">toString</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> to a String.  <a href="#a41d15619e971971f2025052e1a6d7c5a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#ae9044f5fd990ebf7c124dfc3d6423b0a">toString</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a> to a String.  <a href="#ae9044f5fd990ebf7c124dfc3d6423b0a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#aa0a2d5fb724610a66f1949511e1fb478">toString</a> (const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> to a String.  <a href="#aa0a2d5fb724610a66f1949511e1fb478"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#aa05c075b14b73fbdc82f477d6da359f8">toString</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> to a String.  <a href="#aa05c075b14b73fbdc82f477d6da359f8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a1a53ab0f54bc753ae2748909696d0b32">toString</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a <a class="el" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> to a String.  <a href="#a1a53ab0f54bc753ae2748909696d0b32"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#ab6f7c4fb9bf4be031282c8ccf5b38727">toString</a> (const <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a StringVector to a string.  <a href="#ab6f7c4fb9bf4be031282c8ccf5b38727"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a9633e8a5b340ca0c3b36aa51efb4cc5d">parseReal</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> defaultValue=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a String to a Real.  <a href="#a9633e8a5b340ca0c3b36aa51efb4cc5d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#ae7053b6bd3df67328a898940036ab5b5">parseAngle</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, <a class="el" href="classOgre_1_1Radian.html">Radian</a> defaultValue=<a class="el" href="classOgre_1_1Radian.html">Radian</a>(0))</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a String to a <a class="el" href="classOgre_1_1Angle.html" title="Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAn...">Angle</a>.  <a href="#ae7053b6bd3df67328a898940036ab5b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a77d05cbca629795de8b9496b31b0de33">parseInt</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, int defaultValue=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a String to a whole number.  <a href="#a77d05cbca629795de8b9496b31b0de33"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a8d3fd443406ecfc3556dc0195385bb22">parseUnsignedInt</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, unsigned int defaultValue=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a String to a whole number.  <a href="#a8d3fd443406ecfc3556dc0195385bb22"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a1dbc8f24c3d8611f4e9431f3b2122a2e">parseLong</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, long defaultValue=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a String to a whole number.  <a href="#a1dbc8f24c3d8611f4e9431f3b2122a2e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a6fb788b88702ece1e667c145204f7640">parseUnsignedLong</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, unsigned long defaultValue=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a String to a whole number.  <a href="#a6fb788b88702ece1e667c145204f7640"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a8f1d0fab67ac94cb5466812aea13dae0">parseBool</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, bool defaultValue=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Converts a String to a boolean.  <a href="#a8f1d0fab67ac94cb5466812aea13dae0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a0759107b842b8483abbce915a74dd5e1">parseVector2</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;defaultValue=<a class="el" href="classOgre_1_1Vector2.html#a70fef72151781ad0174a004a8b6b3acc">Vector2::ZERO</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Vector2</a> out of a String.  <a href="#a0759107b842b8483abbce915a74dd5e1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a4de896cef79f4620355149a42c43dff6">parseVector3</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;defaultValue=<a class="el" href="classOgre_1_1Vector3.html#a5da94afc089ec07612b4a2615bb6b86f">Vector3::ZERO</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> out of a String.  <a href="#a4de896cef79f4620355149a42c43dff6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a7dd1a2f936cced85559abb1f948bdecb">parseVector4</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;defaultValue=<a class="el" href="classOgre_1_1Vector4.html#a6094638aa9e67551258f70f113d805d9">Vector4::ZERO</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> out of a String.  <a href="#a7dd1a2f936cced85559abb1f948bdecb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a4591e8414fc653e18ac7c3b427c5f093">parseMatrix3</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;defaultValue=<a class="el" href="classOgre_1_1Matrix3.html#adcb2945d4f9b8995236be5a27dcfe343">Matrix3::IDENTITY</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a> out of a String.  <a href="#a4591e8414fc653e18ac7c3b427c5f093"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a9ceacfd6e4f13f89c1ec03f5ef754b58">parseMatrix4</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;defaultValue=<a class="el" href="classOgre_1_1Matrix4.html#af2f61127dd1911c9ac2b4cbc0b4f3668">Matrix4::IDENTITY</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> out of a String.  <a href="#a9ceacfd6e4f13f89c1ec03f5ef754b58"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#adf71ad0ddbc54ab1d742e10a0dc18911">parseQuaternion</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;defaultValue=<a class="el" href="classOgre_1_1Quaternion.html#a441b8d52549e1dedec27420325a313ef">Quaternion::IDENTITY</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> out of a String.  <a href="#adf71ad0ddbc54ab1d742e10a0dc18911"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a167f9319fa721f66e393d963de145c6c">parseColourValue</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val, const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;defaultValue=<a class="el" href="classOgre_1_1ColourValue.html#a7f8a06f2a9dd645417c36b560f496c1a">ColourValue::Black</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> out of a String.  <a href="#a167f9319fa721f66e393d963de145c6c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a041e06bfaeca7a8950bbd04176d1b826">parseStringVector</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pareses a StringVector from a string.  <a href="#a041e06bfaeca7a8950bbd04176d1b826"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringConverter.html#a95d05930b54167f5353733ec36668f65">isNumber</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks the String is a valid number value.  <a href="#a95d05930b54167f5353733ec36668f65"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class for converting the core <a class="el" href="namespaceOgre.html">Ogre</a> data types to/from Strings. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The code for converting values to and from strings is here as a separate class to avoid coupling String to other datatypes (and vice-versa) which reduces compilation dependency: important given how often the core types are used. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This class is mainly used for parsing settings in text files. External applications can also use it to interface with classes which use the <a class="el" href="classOgre_1_1StringInterface.html" title="Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers.">StringInterface</a> template class. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>The String formats of each of the major types is listed with the methods. The basic types like int and Real just use the underlying C runtime library atof and atoi family methods, however custom types like <a class="el" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>, <a class="el" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> and <a class="el" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> are also supported by this class using custom formats. </dd></dl>
<dl class="author"><dt><b>Author:</b></dt><dd>Steve Streeting </dd></dl>

<p>Definition at line <a class="el" href="OgreStringConverter_8h_source.html#l00068">68</a> of file <a class="el" href="OgreStringConverter_8h_source.html">OgreStringConverter.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a95d05930b54167f5353733ec36668f65"></a><!-- doxytag: member="Ogre::StringConverter::isNumber" ref="a95d05930b54167f5353733ec36668f65" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1StringConverter.html#a95d05930b54167f5353733ec36668f65">Ogre::StringConverter::isNumber</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Checks the String is a valid number value. </p>

</div>
</div>
<a class="anchor" id="ae7053b6bd3df67328a898940036ab5b5"></a><!-- doxytag: member="Ogre::StringConverter::parseAngle" ref="ae7053b6bd3df67328a898940036ab5b5" args="(const String &amp;val, Radian defaultValue=Radian(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Radian.html">Radian</a> <a class="el" href="classOgre_1_1StringConverter.html#ae7053b6bd3df67328a898940036ab5b5">Ogre::StringConverter::parseAngle</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code><a class="el" href="classOgre_1_1Radian.html">Radian</a>(0)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a String to a <a class="el" href="classOgre_1_1Angle.html" title="Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAn...">Angle</a>. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>0.0 if the value could not be parsed, otherwise the <a class="el" href="classOgre_1_1Angle.html" title="Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAn...">Angle</a> version of the String. </dd></dl>

<p>Definition at line <a class="el" href="OgreStringConverter_8h_source.html#l00180">180</a> of file <a class="el" href="OgreStringConverter_8h_source.html">OgreStringConverter.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8f1d0fab67ac94cb5466812aea13dae0"></a><!-- doxytag: member="Ogre::StringConverter::parseBool" ref="a8f1d0fab67ac94cb5466812aea13dae0" args="(const String &amp;val, bool defaultValue=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1StringConverter.html#a8f1d0fab67ac94cb5466812aea13dae0">Ogre::StringConverter::parseBool</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a String to a boolean. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Returns true if case-insensitive match of the start of the string matches "true", "yes" or "1", false otherwise. </dd></dl>

</div>
</div>
<a class="anchor" id="a167f9319fa721f66e393d963de145c6c"></a><!-- doxytag: member="Ogre::StringConverter::parseColourValue" ref="a167f9319fa721f66e393d963de145c6c" args="(const String &amp;val, const ColourValue &amp;defaultValue=ColourValue::Black)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1StringConverter.html#a167f9319fa721f66e393d963de145c6c">Ogre::StringConverter::parseColourValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code><a class="el" href="classOgre_1_1ColourValue.html#a7f8a06f2a9dd645417c36b560f496c1a">ColourValue::Black</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parses a <a class="el" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> out of a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "r g b a" (i.e. 4x Real values, space delimited), or "r g b" which implies an alpha value of 1.0 (opaque). Failure to parse returns <a class="el" href="classOgre_1_1ColourValue.html#a7f8a06f2a9dd645417c36b560f496c1a">ColourValue::Black</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a77d05cbca629795de8b9496b31b0de33"></a><!-- doxytag: member="Ogre::StringConverter::parseInt" ref="a77d05cbca629795de8b9496b31b0de33" args="(const String &amp;val, int defaultValue=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static int <a class="el" href="classOgre_1_1StringConverter.html#a77d05cbca629795de8b9496b31b0de33">Ogre::StringConverter::parseInt</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a String to a whole number. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>0.0 if the value could not be parsed, otherwise the numeric version of the String. </dd></dl>

<p>Referenced by <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00205">Ogre::DriverVersion::fromString()</a>.</p>

</div>
</div>
<a class="anchor" id="a1dbc8f24c3d8611f4e9431f3b2122a2e"></a><!-- doxytag: member="Ogre::StringConverter::parseLong" ref="a1dbc8f24c3d8611f4e9431f3b2122a2e" args="(const String &amp;val, long defaultValue=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static long <a class="el" href="classOgre_1_1StringConverter.html#a1dbc8f24c3d8611f4e9431f3b2122a2e">Ogre::StringConverter::parseLong</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a String to a whole number. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>0.0 if the value could not be parsed, otherwise the numeric version of the String. </dd></dl>

</div>
</div>
<a class="anchor" id="a4591e8414fc653e18ac7c3b427c5f093"></a><!-- doxytag: member="Ogre::StringConverter::parseMatrix3" ref="a4591e8414fc653e18ac7c3b427c5f093" args="(const String &amp;val, const Matrix3 &amp;defaultValue=Matrix3::IDENTITY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> <a class="el" href="classOgre_1_1StringConverter.html#a4591e8414fc653e18ac7c3b427c5f093">Ogre::StringConverter::parseMatrix3</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code><a class="el" href="classOgre_1_1Matrix3.html#adcb2945d4f9b8995236be5a27dcfe343">Matrix3::IDENTITY</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parses a <a class="el" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a> out of a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "00 01 02 10 11 12 20 21 22" where '01' means row 0 column 1 etc. Failure to parse returns <a class="el" href="classOgre_1_1Matrix3.html#adcb2945d4f9b8995236be5a27dcfe343">Matrix3::IDENTITY</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a9ceacfd6e4f13f89c1ec03f5ef754b58"></a><!-- doxytag: member="Ogre::StringConverter::parseMatrix4" ref="a9ceacfd6e4f13f89c1ec03f5ef754b58" args="(const String &amp;val, const Matrix4 &amp;defaultValue=Matrix4::IDENTITY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> <a class="el" href="classOgre_1_1StringConverter.html#a9ceacfd6e4f13f89c1ec03f5ef754b58">Ogre::StringConverter::parseMatrix4</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code><a class="el" href="classOgre_1_1Matrix4.html#af2f61127dd1911c9ac2b4cbc0b4f3668">Matrix4::IDENTITY</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parses a <a class="el" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> out of a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "00 01 02 03 10 11 12 13 20 21 22 23 30 31 32 33" where '01' means row 0 column 1 etc. Failure to parse returns <a class="el" href="classOgre_1_1Matrix4.html#af2f61127dd1911c9ac2b4cbc0b4f3668">Matrix4::IDENTITY</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="adf71ad0ddbc54ab1d742e10a0dc18911"></a><!-- doxytag: member="Ogre::StringConverter::parseQuaternion" ref="adf71ad0ddbc54ab1d742e10a0dc18911" args="(const String &amp;val, const Quaternion &amp;defaultValue=Quaternion::IDENTITY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="classOgre_1_1StringConverter.html#adf71ad0ddbc54ab1d742e10a0dc18911">Ogre::StringConverter::parseQuaternion</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code><a class="el" href="classOgre_1_1Quaternion.html#a441b8d52549e1dedec27420325a313ef">Quaternion::IDENTITY</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parses a <a class="el" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> out of a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "w x y z" (i.e. 4x Real values, space delimited). Failure to parse returns <a class="el" href="classOgre_1_1Quaternion.html#a441b8d52549e1dedec27420325a313ef">Quaternion::IDENTITY</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a9633e8a5b340ca0c3b36aa51efb4cc5d"></a><!-- doxytag: member="Ogre::StringConverter::parseReal" ref="a9633e8a5b340ca0c3b36aa51efb4cc5d" args="(const String &amp;val, Real defaultValue=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1StringConverter.html#a9633e8a5b340ca0c3b36aa51efb4cc5d">Ogre::StringConverter::parseReal</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a String to a Real. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>0.0 if the value could not be parsed, otherwise the Real version of the String. </dd></dl>

</div>
</div>
<a class="anchor" id="a041e06bfaeca7a8950bbd04176d1b826"></a><!-- doxytag: member="Ogre::StringConverter::parseStringVector" ref="a041e06bfaeca7a8950bbd04176d1b826" args="(const String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> <a class="el" href="classOgre_1_1StringConverter.html#a041e06bfaeca7a8950bbd04176d1b826">Ogre::StringConverter::parseStringVector</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pareses a StringVector from a string. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Strings must not contain spaces since space is used as a delimiter in the output. </dd></dl>

</div>
</div>
<a class="anchor" id="a8d3fd443406ecfc3556dc0195385bb22"></a><!-- doxytag: member="Ogre::StringConverter::parseUnsignedInt" ref="a8d3fd443406ecfc3556dc0195385bb22" args="(const String &amp;val, unsigned int defaultValue=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static unsigned int <a class="el" href="classOgre_1_1StringConverter.html#a8d3fd443406ecfc3556dc0195385bb22">Ogre::StringConverter::parseUnsignedInt</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a String to a whole number. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>0.0 if the value could not be parsed, otherwise the numeric version of the String. </dd></dl>

</div>
</div>
<a class="anchor" id="a6fb788b88702ece1e667c145204f7640"></a><!-- doxytag: member="Ogre::StringConverter::parseUnsignedLong" ref="a6fb788b88702ece1e667c145204f7640" args="(const String &amp;val, unsigned long defaultValue=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static unsigned long <a class="el" href="classOgre_1_1StringConverter.html#a6fb788b88702ece1e667c145204f7640">Ogre::StringConverter::parseUnsignedLong</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a String to a whole number. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>0.0 if the value could not be parsed, otherwise the numeric version of the String. </dd></dl>

</div>
</div>
<a class="anchor" id="a0759107b842b8483abbce915a74dd5e1"></a><!-- doxytag: member="Ogre::StringConverter::parseVector2" ref="a0759107b842b8483abbce915a74dd5e1" args="(const String &amp;val, const Vector2 &amp;defaultValue=Vector2::ZERO)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> <a class="el" href="classOgre_1_1StringConverter.html#a0759107b842b8483abbce915a74dd5e1">Ogre::StringConverter::parseVector2</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code><a class="el" href="classOgre_1_1Vector2.html#a70fef72151781ad0174a004a8b6b3acc">Vector2::ZERO</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parses a <a class="el" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Vector2</a> out of a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "x y" ie. 2 Real components, space delimited. Failure to parse returns <a class="el" href="classOgre_1_1Vector2.html#a70fef72151781ad0174a004a8b6b3acc">Vector2::ZERO</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a4de896cef79f4620355149a42c43dff6"></a><!-- doxytag: member="Ogre::StringConverter::parseVector3" ref="a4de896cef79f4620355149a42c43dff6" args="(const String &amp;val, const Vector3 &amp;defaultValue=Vector3::ZERO)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1StringConverter.html#a4de896cef79f4620355149a42c43dff6">Ogre::StringConverter::parseVector3</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code><a class="el" href="classOgre_1_1Vector3.html#a5da94afc089ec07612b4a2615bb6b86f">Vector3::ZERO</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parses a <a class="el" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> out of a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "x y z" ie. 3 Real components, space delimited. Failure to parse returns <a class="el" href="classOgre_1_1Vector3.html#a5da94afc089ec07612b4a2615bb6b86f">Vector3::ZERO</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a7dd1a2f936cced85559abb1f948bdecb"></a><!-- doxytag: member="Ogre::StringConverter::parseVector4" ref="a7dd1a2f936cced85559abb1f948bdecb" args="(const String &amp;val, const Vector4 &amp;defaultValue=Vector4::ZERO)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> <a class="el" href="classOgre_1_1StringConverter.html#a7dd1a2f936cced85559abb1f948bdecb">Ogre::StringConverter::parseVector4</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>defaultValue</em> = <code><a class="el" href="classOgre_1_1Vector4.html#a6094638aa9e67551258f70f113d805d9">Vector4::ZERO</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parses a <a class="el" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> out of a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "x y z w" ie. 4 Real components, space delimited. Failure to parse returns <a class="el" href="classOgre_1_1Vector4.html#a6094638aa9e67551258f70f113d805d9">Vector4::ZERO</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="ad6a042aaca76797c0c7369cbcc06529a"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="ad6a042aaca76797c0c7369cbcc06529a" args="(Real val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>precision</em> = <code>6</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>fill</em> = <code>'&#160;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&#160;</td>
          <td class="paramname"><em>flags</em> = <code>std::ios::fmtflags(0)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a Real to a String. </p>

</div>
</div>
<a class="anchor" id="a0ad310156901192d8b4e31f90ce420a0"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="a0ad310156901192d8b4e31f90ce420a0" args="(Radian val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>precision</em> = <code>6</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>fill</em> = <code>'&#160;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&#160;</td>
          <td class="paramname"><em>flags</em> = <code>std::ios::fmtflags(0)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a <a class="el" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> to a String. </p>

<p>Definition at line <a class="el" href="OgreStringConverter_8h_source.html#l00077">77</a> of file <a class="el" href="OgreStringConverter_8h_source.html">OgreStringConverter.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00695">Ogre::Radian::valueAngleUnits()</a>.</p>

</div>
</div>
<a class="anchor" id="a1c4df33a22e7da4debdc1de0ee250773"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="a1c4df33a22e7da4debdc1de0ee250773" args="(Degree val, unsigned short precision=6, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>precision</em> = <code>6</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>fill</em> = <code>'&#160;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&#160;</td>
          <td class="paramname"><em>flags</em> = <code>std::ios::fmtflags(0)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a <a class="el" href="classOgre_1_1Degree.html" title="Wrapper class which indicates a given angle value is in Degrees.">Degree</a> to a String. </p>

<p>Definition at line <a class="el" href="OgreStringConverter_8h_source.html#l00084">84</a> of file <a class="el" href="OgreStringConverter_8h_source.html">OgreStringConverter.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00705">Ogre::Degree::valueAngleUnits()</a>.</p>

</div>
</div>
<a class="anchor" id="a6e5354ea0506968e9ca901ce2f5a46af"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="a6e5354ea0506968e9ca901ce2f5a46af" args="(int val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>fill</em> = <code>'&#160;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&#160;</td>
          <td class="paramname"><em>flags</em> = <code>std::ios::fmtflags(0)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts an int to a String. </p>

</div>
</div>
<a class="anchor" id="a6c7efa9542ac3e3a9c17df92c2383fe0"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="a6c7efa9542ac3e3a9c17df92c2383fe0" args="(size_t val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>fill</em> = <code>'&#160;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&#160;</td>
          <td class="paramname"><em>flags</em> = <code>std::ios::fmtflags(0)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a size_t to a String. </p>

</div>
</div>
<a class="anchor" id="aaef4564bd5f496dbdf0889a89aa4cd9f"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="aaef4564bd5f496dbdf0889a89aa4cd9f" args="(unsigned long val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>fill</em> = <code>'&#160;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&#160;</td>
          <td class="paramname"><em>flags</em> = <code>std::ios::fmtflags(0)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts an unsigned long to a String. </p>

</div>
</div>
<a class="anchor" id="a9e48331e259a043ce076d2a8c3051340"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="a9e48331e259a043ce076d2a8c3051340" args="(long val, unsigned short width=0, char fill= ' ', std::ios::fmtflags flags=std::ios::fmtflags(0))" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>width</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>fill</em> = <code>'&#160;'</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ios::fmtflags&#160;</td>
          <td class="paramname"><em>flags</em> = <code>std::ios::fmtflags(0)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a long to a String. </p>

</div>
</div>
<a class="anchor" id="aa671980d27b86d09a0f568b451ba677d"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="aa671980d27b86d09a0f568b451ba677d" args="(bool val, bool yesNo=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>yesNo</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a boolean to a String. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">yesNo</td><td>If set to true, result is 'yes' or 'no' instead of 'true' or 'false' </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a54b489bc08f1542fe9dd0b9d57fbfbca"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="a54b489bc08f1542fe9dd0b9d57fbfbca" args="(const Vector2 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a <a class="el" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Vector2</a> to a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "x y" (i.e. 2x Real values, space delimited) </dd></dl>

</div>
</div>
<a class="anchor" id="a40baf295547f60d3d0efcf279268d8dc"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="a40baf295547f60d3d0efcf279268d8dc" args="(const Vector3 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a <a class="el" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> to a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "x y z" (i.e. 3x Real values, space delimited) </dd></dl>

</div>
</div>
<a class="anchor" id="a41d15619e971971f2025052e1a6d7c5a"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="a41d15619e971971f2025052e1a6d7c5a" args="(const Vector4 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a <a class="el" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> to a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "x y z w" (i.e. 4x Real values, space delimited) </dd></dl>

</div>
</div>
<a class="anchor" id="ae9044f5fd990ebf7c124dfc3d6423b0a"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="ae9044f5fd990ebf7c124dfc3d6423b0a" args="(const Matrix3 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a <a class="el" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a> to a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "00 01 02 10 11 12 20 21 22" where '01' means row 0 column 1 etc. </dd></dl>

</div>
</div>
<a class="anchor" id="aa0a2d5fb724610a66f1949511e1fb478"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="aa0a2d5fb724610a66f1949511e1fb478" args="(const Matrix4 &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a <a class="el" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> to a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "00 01 02 03 10 11 12 13 20 21 22 23 30 31 32 33" where '01' means row 0 column 1 etc. </dd></dl>

</div>
</div>
<a class="anchor" id="aa05c075b14b73fbdc82f477d6da359f8"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="aa05c075b14b73fbdc82f477d6da359f8" args="(const Quaternion &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a <a class="el" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> to a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "w x y z" (i.e. 4x Real values, space delimited) </dd></dl>

</div>
</div>
<a class="anchor" id="a1a53ab0f54bc753ae2748909696d0b32"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="a1a53ab0f54bc753ae2748909696d0b32" args="(const ColourValue &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a <a class="el" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> to a String. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Format is "r g b a" (i.e. 4x Real values, space delimited). </dd></dl>

</div>
</div>
<a class="anchor" id="ab6f7c4fb9bf4be031282c8ccf5b38727"></a><!-- doxytag: member="Ogre::StringConverter::toString" ref="ab6f7c4fb9bf4be031282c8ccf5b38727" args="(const StringVector &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringConverter.html#ad6a042aaca76797c0c7369cbcc06529a">Ogre::StringConverter::toString</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Converts a StringVector to a string. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Strings must not contain spaces since space is used as a delimiter in the output. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStringConverter_8h_source.html">OgreStringConverter.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
